Subject: Re: Unable to compile setup.exe source
From: "Matthew Clark" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 11 Oct 2002 09:03:13 -0400

Robert Collins wrote:

> I'm trying to compile setup.exe from the setup-2.249.2.5.tar.bz2 tarball
> according the directions in=20
>
> http://sources.redhat.com/cygwin-apps/setup.html
>
> I get down to the final link step and I get errors complaining about,
> undefined references to things like ostream, oo_malloc, streambuf, etc.
I'm
> no C++ expert, but I can't see what's missing from the final link step.
Can
> anyone clue me in?

> Yes, you're bulid with gcc 2.95, and then linking with gcc 3.2
> libraries, and thats not supported. You ened to build and link with gcc
> 2,95 libs.

How did I get gcc 3.2 libs in the mix?  More importantly, how do I
force gcc 2.95 libs to be linked instead?

Matt

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/